ubertooth-specan-ui fails

Post Reply
jrmagnetics
Posts: 14
Joined: Thu May 05, 2022 4:02 pm
languages_spoken: english
ODROIDs: odroid-n2 and odroid-m1
Has thanked: 0
Been thanked: 0
Contact:

ubertooth-specan-ui fails

Post by jrmagnetics »

Looking for QOpenGLTimeMonitor

Someone forgot to include all of the dependencies.
Please advise what to download...

User avatar
mad_ady
Posts: 10596
Joined: Wed Jul 15, 2015 5:00 pm
languages_spoken: english
ODROIDs: XU4 (HC1, HC2), C1+, C2, C4 (HC4), N1, N2, H2, Go, Go Advance, M1
Location: Bucharest, Romania
Has thanked: 644 times
Been thanked: 905 times
Contact:

Re: ubertooth-specan-ui fails

Post by mad_ady »

Note that QT OpenGL components won't work, because the board doesn't support OpenGL, but only OpenGL-ES. You could compile them with software rendering, or by running them through gl4es wrapper, but it's more complicated.

User avatar
odroid
Site Admin
Posts: 39117
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English, Korean
ODROIDs: ODROID
Has thanked: 2513 times
Been thanked: 1382 times
Contact:

Re: ubertooth-specan-ui fails

Post by odroid »

I think OpenGL-ES GPU acceleration capable customized Qt-base library on Wayland/Gnome might be complicated.
Or, OpenGL capable Panfrost driver on a mainline kernel might be an alternative solution.
viewtopic.php?f=217&t=44462

jrmagnetics
Posts: 14
Joined: Thu May 05, 2022 4:02 pm
languages_spoken: english
ODROIDs: odroid-n2 and odroid-m1
Has thanked: 0
Been thanked: 0
Contact:

Re: ubertooth-specan-ui fails

Post by jrmagnetics »

It runs on Odroid-n2 and n2+

User avatar
odroid
Site Admin
Posts: 39117
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English, Korean
ODROIDs: ODROID
Has thanked: 2513 times
Been thanked: 1382 times
Contact:

Re: ubertooth-specan-ui fails

Post by odroid »

jrmagnetics wrote:
Thu May 12, 2022 3:22 pm
It runs on Odroid-n2 and n2+
Which kernel version and desktop-gui did you run?

jrmagnetics
Posts: 14
Joined: Thu May 05, 2022 4:02 pm
languages_spoken: english
ODROIDs: odroid-n2 and odroid-m1
Has thanked: 0
Been thanked: 0
Contact:

Re: ubertooth-specan-ui fails

Post by jrmagnetics »

On M1:
Ubuntu 4.19.219-odroid-arm64
Ubuntu on Wayland

On N:
Ubuntu 20.04 Desktop with current updates
Ubuntu on Wayland

User avatar
tobetter
Posts: 9809
Joined: Mon Feb 25, 2013 10:55 am
languages_spoken: Korean, English
ODROIDs: Many
Location: Paju, South Korea
Has thanked: 625 times
Been thanked: 1652 times
Contact:

Re: ubertooth-specan-ui fails

Post by tobetter »

jrmagnetics wrote:
Thu May 12, 2022 5:49 pm
On M1:
Ubuntu 4.19.219-odroid-arm64
Ubuntu on Wayland

On N:
Ubuntu 20.04 Desktop with current updates
Ubuntu on Wayland
Please let me know the output of dpkg -l | grep qt and uname -a on your N2 when your Qt app works.
Last edited by mad_ady on Thu May 12, 2022 6:39 pm, edited 1 time in total.
Reason: corrected grep command

jrmagnetics
Posts: 14
Joined: Thu May 05, 2022 4:02 pm
languages_spoken: english
ODROIDs: odroid-n2 and odroid-m1
Has thanked: 0
Been thanked: 0
Contact:

Re: ubertooth-specan-ui fails

Post by jrmagnetics »

uname -a
SMP PREEMPT date********* UTC 2022 aarch64 aarch64 aarch64 GNU/Linux

dpkg output

Code: Select all

ii  libdbusmenu-qt5-2:arm64                       0.9.3+16.04.20160218-2build1        arm64        Qt implementation of the DBusMenu protocol
ii  libgnuradio-qtgui3.8.1:arm64                  3.8.1.0~rc1-2build2                 arm64        gnuradio Qt graphical user interface functions
ii  libkf5dbusaddons-bin                          5.68.0-0ubuntu1                     arm64        class library for qtdbus
ii  libkf5dbusaddons-data                         5.68.0-0ubuntu1                     all          class library for qtdbus
ii  libkf5dbusaddons5:arm64                       5.68.0-0ubuntu1                     arm64        class library for qtdbus
ii  libphonon4qt5-4:arm64                         4:4.11.1-3build1                    arm64        multimedia framework from KDE using Qt 5 - core library
ii  libphonon4qt5-data                            4:4.11.1-3build1                    all          multimedia framework from KDE using Qt 5 - core library data
ii  libpolkit-qt5-1-1:arm64                       0.113.0-0ubuntu2                    arm64        PolicyKit-qt5-1 library
ii  libpoppler-qt5-1:arm64                        0.86.1-0ubuntu1                     arm64        PDF rendering library (Qt 5 based shared library)
ii  libqt5bluetooth5:arm64                        5.12.8-0ubuntu1                     arm64        Qt Connectivity Bluetooth module
ii  libqt5bluetooth5-bin                          5.12.8-0ubuntu1                     arm64        Qt Connectivity Bluetooth module helper binaries
ii  libqt5core5a:arm64                            2:5.12.8+dfsg-0ubuntu2              arm64        Qt 5 core module
ii  libqt5dbus5:arm64                             2:5.12.8+dfsg-0ubuntu2              arm64        Qt 5 D-Bus module
ii  libqt5designer5:arm64                         5.12.8-0ubuntu1                     arm64        Qt 5 designer module
ii  libqt5gui5:arm64                              2:5.12.8+dfsg-0ubuntu2              arm64        Qt 5 GUI module
ii  libqt5help5:arm64                             5.12.8-0ubuntu1                     arm64        Qt 5 help module
ii  libqt5multimedia5:arm64                       5.12.8-0ubuntu1                     arm64        Qt 5 Multimedia module
ii  libqt5multimedia5-plugins:arm64               5.12.8-0ubuntu1                     arm64        Qt 5 Multimedia module plugins
ii  libqt5multimediagsttools5:arm64               5.12.8-0ubuntu1                     arm64        GStreamer tools for  Qt 5 Multimedia module
ii  libqt5multimediawidgets5:arm64                5.12.8-0ubuntu1                     arm64        Qt 5 Multimedia Widgets module
ii  libqt5network5:arm64                          2:5.12.8+dfsg-0ubuntu2              arm64        Qt 5 network module
ii  libqt5opengl5:arm64                           2:5.12.8+dfsg-0ubuntu2              arm64        Qt 5 OpenGL module
ii  libqt5printsupport5:arm64                     2:5.12.8+dfsg-0ubuntu2              arm64        Qt 5 print support module
ii  libqt5qml5:arm64                              5.12.8-0ubuntu1                     arm64        Qt 5 QML module
ii  libqt5quick5:arm64                            5.12.8-0ubuntu1                     arm64        Qt 5 Quick library
ii  libqt5quickcontrols2-5:arm64                  5.12.8+dfsg-0ubuntu1                arm64        Qt 5 Quick Controls 2 library
ii  libqt5quicktemplates2-5:arm64                 5.12.8+dfsg-0ubuntu1                arm64        Qt 5 Quick Templates 2 library
ii  libqt5quickwidgets5:arm64                     5.12.8-0ubuntu1                     arm64        Qt 5 Quick Widgets library
ii  libqt5sql5:arm64                              2:5.12.8+dfsg-0ubuntu2              arm64        Qt 5 SQL module
ii  libqt5sql5-sqlite:arm64                       2:5.12.8+dfsg-0ubuntu2              arm64        Qt 5 SQLite 3 database driver
ii  libqt5svg5:arm64                              5.12.8-0ubuntu1                     arm64        Qt 5 SVG module
ii  libqt5test5:arm64                             2:5.12.8+dfsg-0ubuntu2              arm64        Qt 5 test module
ii  libqt5texttospeech5:arm64                     5.12.8-0ubuntu1                     arm64        Speech library for Qt - libraries
ii  libqt5waylandclient5:arm64                    5.12.8-0ubuntu1                     arm64        QtWayland client library
ii  libqt5waylandcompositor5:arm64                5.12.8-0ubuntu1                     arm64        QtWayland compositor library
ii  libqt5widgets5:arm64                          2:5.12.8+dfsg-0ubuntu2              arm64        Qt 5 widgets module
ii  libqt5x11extras5:arm64                        5.12.8-0ubuntu1                     arm64        Qt 5 X11 extras
ii  libqt5xml5:arm64                              2:5.12.8+dfsg-0ubuntu2              arm64        Qt 5 XML module
rc  libqtcore4:arm64                              4:4.8.7+dfsg-7ubuntu1               arm64        Qt 4 core module
ii  libqwt-qt5-6                                  6.1.4-1.1build1                     arm64        Qt widgets library for technical applications (runtime, qt5)
ii  phonon4qt5:arm64                              4:4.11.1-3build1                    arm64        multimedia framework from KDE using Qt 5 - metapackage
ii  phonon4qt5-backend-vlc:arm64                  0.11.1-1build1                      arm64        Phonon4Qt5 VLC backend
ii  python3-pyqt5                                 5.14.1+dfsg-3build1                 arm64        Python 3 bindings for Qt5
ii  python3-pyqt5.qtopengl                        5.14.1+dfsg-3build1                 arm64        Python 3 bindings for Qt5's OpenGL module
ii  python3-pyqtgraph                             0.11.0~rc0-1                        all          Scientific Graphics and GUI Library for Python 3
ii  python3-pyside2.qtcore                        5.14.0-1~exp1ubuntu5                arm64        Python bindings for Qt5 core module (Python 3)
ii  python3-pyside2.qtgui                         5.14.0-1~exp1ubuntu5                arm64        Python bindings for Qt5 Gui module (Python 3)
ii  python3-pyside2.qtwidgets                     5.14.0-1~exp1ubuntu5                arm64        Python bindings for Qt5 Widgets module (Python 3)
ii  qml-module-qtbluetooth:arm64                  5.12.8-0ubuntu1                     arm64        Qt Connectivity module - Bluetooth QML module
ii  qml-module-qtgraphicaleffects:arm64           5.12.8-0ubuntu1                     arm64        Qt 5 Graphical Effects module
ii  qml-module-qtqml-models2:arm64                5.12.8-0ubuntu1                     arm64        Qt 5 Models2 QML module
ii  qml-module-qtquick-controls:arm64             5.12.8-0ubuntu2                     arm64        Qt 5 Quick Controls QML module
ii  qml-module-qtquick-controls2:arm64            5.12.8+dfsg-0ubuntu1                arm64        Qt 5 Qt Quick Controls 2 QML module
ii  qml-module-qtquick-dialogs:arm64              5.12.8-0ubuntu2                     arm64        Qt 5 Dialogs QML module
ii  qml-module-qtquick-layouts:arm64              5.12.8-0ubuntu1                     arm64        Qt 5 Quick Layouts QML module
ii  qml-module-qtquick-privatewidgets:arm64       5.12.8-0ubuntu2                     arm64        Qt 5 Private Widgets QML module
ii  qml-module-qtquick-templates2:arm64           5.12.8+dfsg-0ubuntu1                arm64        Qt 5 Qt Quick Templates 2 QML module
ii  qml-module-qtquick-window2:arm64              5.12.8-0ubuntu1                     arm64        Qt 5 window 2 QML module
ii  qml-module-qtquick2:arm64                     5.12.8-0ubuntu1                     arm64        Qt 5 Qt Quick 2 QML module
ii  qt5-gtk-platformtheme:arm64                   2:5.12.8+dfsg-0ubuntu2              arm64        Qt 5 GTK+ 3 platform theme
ii  qt5-gtk2-platformtheme:arm64                  5.0.0+git23.g335dbec-3ubuntu4       arm64        Qt 5 extra widget styles - GTK+ 2 Platform theme
ii  qt5-style-platform-gtk2                       5.0.0+git23.g335dbec-3ubuntu4       all          Qt 5 extra widget styles - dummy transitional package
ii  qttranslations5-l10n                          5.12.8-0ubuntu1                     all          translations for Qt 5
ii  qtwayland5:arm64                              5.12.8-0ubuntu1                     arm64        QtWayland platform plugin
ii  wireshark-qt                                  3.2.3-1                             arm64        network traffic analyzer - Qt version

User avatar
mad_ady
Posts: 10596
Joined: Wed Jul 15, 2015 5:00 pm
languages_spoken: english
ODROIDs: XU4 (HC1, HC2), C1+, C2, C4 (HC4), N1, N2, H2, Go, Go Advance, M1
Location: Bucharest, Romania
Has thanked: 644 times
Been thanked: 905 times
Contact:

Re: ubertooth-specan-ui fails

Post by mad_ady »

Your uname -a misses the kernel version. It's important, please don't hide it!

jrmagnetics
Posts: 14
Joined: Thu May 05, 2022 4:02 pm
languages_spoken: english
ODROIDs: odroid-n2 and odroid-m1
Has thanked: 0
Been thanked: 0
Contact:

Re: ubertooth-specan-ui fails

Post by jrmagnetics »

Sorry for that:

gnome-desktop 4.19.219-odroid-arm #1

It is Ubuntu straight from the M1 download with no modifications.
I only ran upgrade on it.

User avatar
tobetter
Posts: 9809
Joined: Mon Feb 25, 2013 10:55 am
languages_spoken: Korean, English
ODROIDs: Many
Location: Paju, South Korea
Has thanked: 625 times
Been thanked: 1652 times
Contact:

Re: ubertooth-specan-ui fails

Post by tobetter »

jrmagnetics wrote:
Tue May 17, 2022 6:22 pm
Sorry for that:

gnome-desktop 4.19.219-odroid-arm #1

It is Ubuntu straight from the M1 download with no modifications.
I only ran upgrade on it.
Please let us know the same output on ODROID-N2/N2Plus, not ODROID-M1.

Post Reply

Return to “Ubuntu”

Who is online

Users browsing this forum: No registered users and 2 guests